aboutsummaryrefslogtreecommitdiff
path: root/git-bisect.sh
diff options
context:
space:
mode:
authorChristian Couder <chriscool@tuxfamily.org>2007-03-29 09:42:35 +0200
committerJunio C Hamano <junkio@cox.net>2007-03-29 23:10:21 -0700
commit6f01e6b37008e45efb2b17a027f045600a011e93 (patch)
treefd6f077837fcb026e1cffec4cdfb6fdd1f619c3e /git-bisect.sh
parent18acb3e6c76b42d109cac956d63a1c709b0d76b2 (diff)
downloadgit-6f01e6b37008e45efb2b17a027f045600a011e93.tar.gz
git-6f01e6b37008e45efb2b17a027f045600a011e93.tar.xz
Bisect: Improve error message in "bisect_next_check".
So we can remove the specific message in "bisect_run". Signed-off-by: Christian Couder <chriscool@tuxfamily.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-bisect.sh')
-rwxr-xr-xgit-bisect.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/git-bisect.sh b/git-bisect.sh
index 57d6754d3..11313a794 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -123,7 +123,15 @@ bisect_next_check() {
case "$next_ok,$1" in
no,) false ;;
no,fail)
- echo >&2 'You need to give me at least one good and one bad revisions.'
+ THEN=''
+ test -d "$GIT_DIR/refs/bisect" || {
+ echo >&2 'You need to start by "git bisect start".'
+ THEN='then '
+ }
+ echo >&2 'You '$THEN'need to give me at least one good' \
+ 'and one bad revisions.'
+ echo >&2 '(You can use "git bisect bad" and' \
+ '"git bisect good" for that.)'
exit 1 ;;
*)
true ;;
@@ -223,12 +231,6 @@ bisect_replay () {
}
bisect_run () {
- # Check that we have everything to run correctly.
- test -d "$GIT_DIR/refs/bisect" || {
- echo >&2 'You need to start by "git bisect start".'
- echo >&2 'And then by "git bisect bad" and "git bisect good".'
- exit 1
- }
bisect_next_check fail
while true